[Openvas-nvts-commits] r557 - / scripts/2014

scm-commit at wald.intevation.org scm-commit at wald.intevation.org
Fri Jul 11 07:18:59 CEST 2014


Author: antu123
Date: 2014-07-11 07:18:59 +0200 (Fri, 11 Jul 2014)
New Revision: 557

Added:
   scripts/2014/deb_2973.nasl
   scripts/2014/deb_2974.nasl
   scripts/2014/deb_2975.nasl
   scripts/2014/deb_2976.nasl
Modified:
   ChangeLog
Log:
Added new auto generated plugins

Modified: ChangeLog
===================================================================
--- ChangeLog	2014-07-09 14:13:10 UTC (rev 556)
+++ ChangeLog	2014-07-11 05:18:59 UTC (rev 557)
@@ -1,3 +1,11 @@
+2014-07-11 Antu Sanadi <santu at secpod.com>
+
+	* scripts/2014/deb_2976.nasl,
+	  scripts/2014/deb_2973.nasl,
+	  scripts/2014/deb_2975.nasl,
+	  scripts/2014/deb_2974.nasl:
+	  Added new auto generated plugins.
+
 2014-07-09 Veerendra G.G <veerendragg at secpod.com>
 
 	* scripts/2014/gb_ms14-037.nasl,

Added: scripts/2014/deb_2973.nasl
===================================================================
--- scripts/2014/deb_2973.nasl	                        (rev 0)
+++ scripts/2014/deb_2973.nasl	2014-07-11 05:18:59 UTC (rev 557)
@@ -0,0 +1,290 @@
+# OpenVAS Vulnerability Test
+# $Id$
+# Auto-generated from advisory DSA 2973-1 using nvtgen 1.0
+# Script version: 1.0
+#
+# Author:
+# Greenbone Networks
+#
+# Copyright:
+# Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net
+# Text descriptions are largely excerpted from the referenced
+# advisory, and are Copyright (c) the respective author(s)
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2,
+# or, at your option, any later version as published by the Free
+# Software Foundation
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+
+include("revisions-lib.inc");
+
+tag_affected  = "vlc on Debian Linux";
+tag_insight   = "VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+podcasts, and multimedia streams from various network sources.";
+tag_solution  = "For the stable distribution (wheezy), these problems have been fixed in
+version 2.0.3-5+deb7u1.
+
+For the testing distribution (jessie), these problems have been fixed in
+version 2.1.0-1.
+
+For the unstable distribution (sid), these problems have been fixed in
+version 2.1.0-1.
+
+We recommend that you upgrade your vlc packages.";
+tag_summary   = "Multiple buffer overflows have been found in the VideoLAN media player.
+Processing malformed subtitles or movie files could lead to denial of
+service and potentially the execution of arbitrary code.";
+tag_vuldetect = "This check tests the installed software version using the apt package manager.";
+
+desc = "Summary:
+" + tag_summary + "
+
+Vulnerability Detection:
+" + tag_vuldetect + "
+
+Vulnerability Insight:
+" + tag_insight + "
+
+Affected Software/OS:
+" + tag_affected + "
+
+Solution:
+" + tag_solution;
+
+if(description)
+{
+    script_id(702973);
+    script_version("$Revision$");
+    script_cve_id("CVE-2013-1868", "CVE-2013-1954", "CVE-2013-4388");
+    script_name("Debian Security Advisory DSA 2973-1 (vlc - security update");
+    script_tag(name: "check_type", value:"authenticated package test");
+    script_tag(name: "last_modification", value:"$Date$");
+    script_tag(name: "creation_date", value:"2014-07-07 00:00:00 +0200 (Mon, 07 Jul 2014)");
+    script_tag(name: "cvss_base", value:"10.0");
+    script_tag(name: "cvss_base_vector", value:"AV:N/AC:L/Au:N/C:C/I:C/A:C");
+    script_tag(name: "risk_factor", value:"Critical");
+
+    script_description(desc);
+    script_xref(name: "URL", value: "http://www.debian.org/security/2014/dsa-2973.html");
+
+    script_summary("Debian Security Advisory DSA 2973-1 (vlc - security update)");
+
+    script_category(ACT_GATHER_INFO);
+
+    script_copyright("Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net");
+    script_family("Debian Local Security Checks");
+    script_dependencies("gather-package-list.nasl");
+    script_mandatory_keys("HostDetails/OS/cpe:/o:debian:debian_linux", "login/SSH/success", "ssh/login/packages");
+    if (revcomp(a: OPENVAS_VERSION, b: "6.0+beta5") >= 0) {
+        script_tag(name: "affected",  value: tag_affected);
+        script_tag(name: "insight",   value: tag_insight);
+#        script_tag(name: "impact",    value: tag_impact);
+        script_tag(name: "solution",  value: tag_solution);
+        script_tag(name: "summary",   value: tag_summary);
+        script_tag(name: "vuldetect", value: tag_vuldetect);
+    }
+
+    exit(0);
+}
+
+include("pkg-lib-deb.inc");
+
+res = "";
+report = "";
+if ((res = isdpkgvuln(pkg:"libvlc-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlc5", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore5", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-data", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-dbg", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-nox", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-fluidsynth", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-jack", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-notify", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-pulse", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-sdl", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-svg", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-zvbi", ver:"2.0.3-5+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlc-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlc5", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore5", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-data", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-dbg", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-nox", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-fluidsynth", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-jack", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-notify", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-pulse", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-sdl", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-svg", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-zvbi", ver:"2.0.3-5+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlc-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlc5", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore5", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-data", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-dbg", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-nox", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-fluidsynth", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-jack", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-notify", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-pulse", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-sdl", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-svg", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-zvbi", ver:"2.0.3-5+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlc-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlc5", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore-dev", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libvlccore5", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-data", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-dbg", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-nox", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-fluidsynth", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-jack", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-notify", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-pulse", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-sdl", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-svg", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"vlc-plugin-zvbi", ver:"2.0.3-5+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+
+if (report != "") {
+    security_message(data:report + '\n' + desc);
+} else if (__pkg_match) {
+    exit(99); # Not vulnerable.
+}


Property changes on: scripts/2014/deb_2973.nasl
___________________________________________________________________
Added: svn:keywords
   + Revision Date Id Author

Added: scripts/2014/deb_2974.nasl
===================================================================
--- scripts/2014/deb_2974.nasl	                        (rev 0)
+++ scripts/2014/deb_2974.nasl	2014-07-11 05:18:59 UTC (rev 557)
@@ -0,0 +1,528 @@
+# OpenVAS Vulnerability Test
+# $Id$
+# Auto-generated from advisory DSA 2974-1 using nvtgen 1.0
+# Script version: 1.0
+#
+# Author:
+# Greenbone Networks
+#
+# Copyright:
+# Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net
+# Text descriptions are largely excerpted from the referenced
+# advisory, and are Copyright (c) the respective author(s)
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2,
+# or, at your option, any later version as published by the Free
+# Software Foundation
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+
+include("revisions-lib.inc");
+
+tag_affected  = "php5 on Debian Linux";
+tag_insight   = "This package is a metapackage that, when installed, guarantees that you
+have at least one of the four server-side versions of the PHP5 interpreter
+installed. Removing this package won't remove PHP5 from your system, however
+it may remove other packages that depend on this one.";
+tag_solution  = "For the stable distribution (wheezy), these problems have been fixed in
+version 5.4.4-14+deb7u12. In addition, this update contains several
+bugfixes originally targeted for the upcoming Wheezy point release.
+
+For the testing distribution (jessie), these problems have been fixed in
+version 5.6.0~rc2+dfsg-1.
+
+For the unstable distribution (sid), these problems have been fixed in
+version 5.6.0~rc2+dfsg-1.
+
+We recommend that you upgrade your php5 packages.";
+tag_summary   = "Several vulnerabilities were found in PHP, a general-purpose scripting
+language commonly used for web application development. The Common
+Vulnerabilities and Exposures project identifies the following problems:
+
+CVE-2014-0207 
+Francisco Alonso of the Red Hat Security Response Team reported an
+incorrect boundary check in the cdf_read_short_sector() function.
+
+CVE-2014-3478 
+Francisco Alonso of the Red Hat Security Response Team discovered a
+flaw in the way the truncated pascal string size in the mconvert()
+function is computed.
+
+CVE-2014-3479 
+Francisco Alonso of the Red Hat Security Response Team reported an
+incorrect boundary check in the cdf_check_stream_offset() function.
+
+CVE-2014-3480 
+Francisco Alonso of the Red Hat Security Response Team reported an
+insufficient boundary check in the cdf_count_chain() function.
+
+CVE-2014-3487 
+Francisco Alonso of the Red Hat Security Response Team discovered an
+incorrect boundary check in the cdf_read_property_info() funtion.
+
+CVE-2014-3515 
+Stefan Esser discovered that the ArrayObject and the
+SPLObjectStorage unserialize() handler do not verify the type of
+unserialized data before using it. A remote attacker could use this
+flaw to execute arbitrary code.
+
+CVE-2014-4721 
+Stefan Esser discovered a type confusion issue affecting phpinfo(),
+which might allow an attacker to obtain sensitive information from
+process memory.";
+tag_vuldetect = "This check tests the installed software version using the apt package manager.";
+
+desc = "Summary:
+" + tag_summary + "
+
+Vulnerability Detection:
+" + tag_vuldetect + "
+
+Vulnerability Insight:
+" + tag_insight + "
+
+Affected Software/OS:
+" + tag_affected + "
+
+Solution:
+" + tag_solution;
+
+if(description)
+{
+    script_id(702974);
+    script_version("$Revision$");
+    script_cve_id("CVE-2014-0207", "CVE-2014-3478", "CVE-2014-3479", "CVE-2014-3480", "CVE-2014-3487", "CVE-2014-3515", "CVE-2014-4721");
+    script_name("Debian Security Advisory DSA 2974-1 (php5 - security update");
+    script_tag(name: "check_type", value:"authenticated package test");
+    script_tag(name: "last_modification", value:"$Date$");
+    script_tag(name: "creation_date", value:"2014-07-08 00:00:00 +0200 (Tue, 08 Jul 2014)");
+    script_tag(name: "cvss_base", value:"10.0");
+    script_tag(name: "cvss_base_vector", value:"AV:N/AC:L/Au:N/C:C/I:C/A:C");
+    script_tag(name: "risk_factor", value:"Critical");
+
+    script_description(desc);
+    script_xref(name: "URL", value: "http://www.debian.org/security/2014/dsa-2974.html");
+
+    script_summary("Debian Security Advisory DSA 2974-1 (php5 - security update)");
+
+    script_category(ACT_GATHER_INFO);
+
+    script_copyright("Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net");
+    script_family("Debian Local Security Checks");
+    script_dependencies("gather-package-list.nasl");
+    script_mandatory_keys("HostDetails/OS/cpe:/o:debian:debian_linux", "login/SSH/success", "ssh/login/packages");
+    if (revcomp(a: OPENVAS_VERSION, b: "6.0+beta5") >= 0) {
+        script_tag(name: "affected",  value: tag_affected);
+        script_tag(name: "insight",   value: tag_insight);
+#        script_tag(name: "impact",    value: tag_impact);
+        script_tag(name: "solution",  value: tag_solution);
+        script_tag(name: "summary",   value: tag_summary);
+        script_tag(name: "vuldetect", value: tag_vuldetect);
+    }
+
+    exit(0);
+}
+
+include("pkg-lib-deb.inc");
+
+res = "";
+report = "";
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5filter", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libphp5-embed", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php-pear", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cgi", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cli", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-common", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-curl", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dbg", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dev", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-enchant", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-fpm", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gd", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-imap", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-interbase", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-intl", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-ldap", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mcrypt", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysql", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysqlnd", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-odbc", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pgsql", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pspell", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-recode", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-snmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sqlite", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sybase", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-tidy", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xmlrpc", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xsl", ver:"5.4.4-14+deb7u12", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5filter", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libphp5-embed", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php-pear", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cgi", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cli", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-common", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-curl", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dbg", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dev", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-enchant", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-fpm", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gd", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-imap", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-interbase", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-intl", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-ldap", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mcrypt", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysql", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysqlnd", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-odbc", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pgsql", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pspell", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-recode", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-snmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sqlite", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sybase", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-tidy", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xmlrpc", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xsl", ver:"5.4.4-14+deb7u12", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5filter", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libphp5-embed", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php-pear", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cgi", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cli", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-common", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-curl", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dbg", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dev", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-enchant", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-fpm", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gd", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-imap", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-interbase", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-intl", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-ldap", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mcrypt", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysql", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysqlnd", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-odbc", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pgsql", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pspell", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-recode", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-snmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sqlite", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sybase", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-tidy", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xmlrpc", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xsl", ver:"5.4.4-14+deb7u12", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libapache2-mod-php5filter", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libphp5-embed", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php-pear", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cgi", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-cli", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-common", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-curl", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dbg", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-dev", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-enchant", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-fpm", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gd", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-gmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-imap", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-interbase", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-intl", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-ldap", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mcrypt", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysql", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-mysqlnd", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-odbc", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pgsql", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-pspell", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-recode", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-snmp", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sqlite", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-sybase", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-tidy", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xmlrpc", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"php5-xsl", ver:"5.4.4-14+deb7u12", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+
+if (report != "") {
+    security_message(data:report + '\n' + desc);
+} else if (__pkg_match) {
+    exit(99); # Not vulnerable.
+}


Property changes on: scripts/2014/deb_2974.nasl
___________________________________________________________________
Added: svn:keywords
   + Revision Date Id Author

Added: scripts/2014/deb_2975.nasl
===================================================================
--- scripts/2014/deb_2975.nasl	                        (rev 0)
+++ scripts/2014/deb_2975.nasl	2014-07-11 05:18:59 UTC (rev 557)
@@ -0,0 +1,138 @@
+# OpenVAS Vulnerability Test
+# $Id$
+# Auto-generated from advisory DSA 2975-1 using nvtgen 1.0
+# Script version: 1.0
+#
+# Author:
+# Greenbone Networks
+#
+# Copyright:
+# Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net
+# Text descriptions are largely excerpted from the referenced
+# advisory, and are Copyright (c) the respective author(s)
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2,
+# or, at your option, any later version as published by the Free
+# Software Foundation
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+
+include("revisions-lib.inc");
+
+tag_affected  = "phpmyadmin on Debian Linux";
+tag_insight   = "This package allows administering of MySQL with a web interface.";
+tag_solution  = "For the stable distribution (wheezy), these problems have been fixed in
+version 4:3.4.11.1-2+deb7u1.
+
+For the unstable distribution (sid), these problems have been fixed in
+version 4:4.2.5-1.
+
+We recommend that you upgrade your phpmyadmin packages.";
+tag_summary   = "Several vulnerabilities have been discovered in phpMyAdmin, a tool to
+administer MySQL over the web. The Common Vulnerabilities and Exposures
+project identifies the following problems:
+
+CVE-2013-4995 
+Authenticated users could inject arbitrary web script or HTML
+via a crafted SQL query.
+
+CVE-2013-4996 
+Cross site scripting was possible via a crafted logo URL in
+the navigation panel or a crafted entry in the Trusted Proxies list.
+
+CVE-2013-5002 
+Authenticated users could inject arbitrary web script or HTML
+via a crafted pageNumber value in Schema Export.
+
+CVE-2013-5003Authenticated users could execute arbitrary SQL commands as
+the phpMyAdmin control user 
+via the scale parameter PMD PDF
+export and the pdf_page_number parameter in Schema Export.
+
+CVE-2014-1879 
+Authenticated users could inject arbitrary web script or HTML
+via a crafted file name in the Import function.";
+tag_vuldetect = "This check tests the installed software version using the apt package manager.";
+
+desc = "Summary:
+" + tag_summary + "
+
+Vulnerability Detection:
+" + tag_vuldetect + "
+
+Vulnerability Insight:
+" + tag_insight + "
+
+Affected Software/OS:
+" + tag_affected + "
+
+Solution:
+" + tag_solution;
+
+if(description)
+{
+    script_id(702975);
+    script_version("$Revision$");
+    script_cve_id("CVE-2013-4995", "CVE-2013-4996", "CVE-2013-5002", "CVE-2013-5003", "CVE-2014-1879");
+    script_name("Debian Security Advisory DSA 2975-1 (phpmyadmin - security update");
+    script_tag(name: "check_type", value:"authenticated package test");
+    script_tag(name: "last_modification", value:"$Date$");
+    script_tag(name: "creation_date", value:"2014-07-09 00:00:00 +0200 (Wed, 09 Jul 2014)");
+    script_tag(name: "cvss_base", value:"10.0");
+    script_tag(name: "cvss_base_vector", value:"AV:N/AC:L/Au:N/C:C/I:C/A:C");
+    script_tag(name: "risk_factor", value:"Critical");
+
+    script_description(desc);
+    script_xref(name: "URL", value: "http://www.debian.org/security/2014/dsa-2975.html");
+
+    script_summary("Debian Security Advisory DSA 2975-1 (phpmyadmin - security update)");
+
+    script_category(ACT_GATHER_INFO);
+
+    script_copyright("Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net");
+    script_family("Debian Local Security Checks");
+    script_dependencies("gather-package-list.nasl");
+    script_mandatory_keys("HostDetails/OS/cpe:/o:debian:debian_linux", "login/SSH/success", "ssh/login/packages");
+    if (revcomp(a: OPENVAS_VERSION, b: "6.0+beta5") >= 0) {
+        script_tag(name: "affected",  value: tag_affected);
+        script_tag(name: "insight",   value: tag_insight);
+#        script_tag(name: "impact",    value: tag_impact);
+        script_tag(name: "solution",  value: tag_solution);
+        script_tag(name: "summary",   value: tag_summary);
+        script_tag(name: "vuldetect", value: tag_vuldetect);
+    }
+
+    exit(0);
+}
+
+include("pkg-lib-deb.inc");
+
+res = "";
+report = "";
+if ((res = isdpkgvuln(pkg:"phpmyadmin", ver:"4:3.4.11.1-2+deb7u1", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"phpmyadmin", ver:"4:3.4.11.1-2+deb7u1", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"phpmyadmin", ver:"4:3.4.11.1-2+deb7u1", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"phpmyadmin", ver:"4:3.4.11.1-2+deb7u1", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+
+if (report != "") {
+    security_message(data:report + '\n' + desc);
+} else if (__pkg_match) {
+    exit(99); # Not vulnerable.
+}


Property changes on: scripts/2014/deb_2975.nasl
___________________________________________________________________
Added: svn:keywords
   + Revision Date Id Author

Added: scripts/2014/deb_2976.nasl
===================================================================
--- scripts/2014/deb_2976.nasl	                        (rev 0)
+++ scripts/2014/deb_2976.nasl	2014-07-11 05:18:59 UTC (rev 557)
@@ -0,0 +1,643 @@
+# OpenVAS Vulnerability Test
+# $Id$
+# Auto-generated from advisory DSA 2976-1 using nvtgen 1.0
+# Script version: 1.0
+#
+# Author:
+# Greenbone Networks
+#
+# Copyright:
+# Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net
+# Text descriptions are largely excerpted from the referenced
+# advisory, and are Copyright (c) the respective author(s)
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2,
+# or, at your option, any later version as published by the Free
+# Software Foundation
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+
+include("revisions-lib.inc");
+
+tag_affected  = "eglibc on Debian Linux";
+tag_solution  = "For the stable distribution (wheezy), this problem has been fixed in
+version 2.13-38+deb7u3.
+
+This update also includes changes previously scheduled for the next
+wheezy point release as version 2.13-38+deb7u2. See the Debian
+changelog for details.
+
+We recommend that you upgrade your eglibc packages.";
+tag_summary   = "Stephane Chazelas discovered that the GNU C library, glibc, processed
+'..' path segments in locale-related environment variables, possibly
+allowing attackers to circumvent intended restrictions, such as
+ForceCommand in OpenSSH, assuming that they can supply crafted locale
+settings.";
+tag_vuldetect = "This check tests the installed software version using the apt package manager.";
+
+desc = "Summary:
+" + tag_summary + "
+
+Vulnerability Detection:
+" + tag_vuldetect + "
+
+Affected Software/OS:
+" + tag_affected + "
+
+Solution:
+" + tag_solution;
+
+if(description)
+{
+    script_id(702976);
+    script_version("$Revision$");
+    script_cve_id("CVE-2014-0475");
+    script_name("Debian Security Advisory DSA 2976-1 (eglibc - security update");
+    script_tag(name: "check_type", value:"authenticated package test");
+    script_tag(name: "last_modification", value:"$Date$");
+    script_tag(name: "creation_date", value:"2014-07-10 00:00:00 +0200 (Thu, 10 Jul 2014)");
+    script_tag(name: "cvss_base", value:"10.0");
+    script_tag(name: "cvss_base_vector", value:"AV:N/AC:L/Au:N/C:C/I:C/A:C");
+    script_tag(name: "risk_factor", value:"Critical");
+
+    script_description(desc);
+    script_xref(name: "URL", value: "http://www.debian.org/security/2014/dsa-2976.html");
+
+    script_summary("Debian Security Advisory DSA 2976-1 (eglibc - security update)");
+
+    script_category(ACT_GATHER_INFO);
+
+    script_copyright("Copyright (c) 2014 Greenbone Networks GmbH http://greenbone.net");
+    script_family("Debian Local Security Checks");
+    script_dependencies("gather-package-list.nasl");
+    script_mandatory_keys("HostDetails/OS/cpe:/o:debian:debian_linux", "login/SSH/success", "ssh/login/packages");
+    if (revcomp(a: OPENVAS_VERSION, b: "6.0+beta5") >= 0) {
+        script_tag(name: "affected",  value: tag_affected);
+#        script_tag(name: "impact",    value: tag_impact);
+        script_tag(name: "solution",  value: tag_solution);
+        script_tag(name: "summary",   value: tag_summary);
+        script_tag(name: "vuldetect", value: tag_vuldetect);
+    }
+
+    exit(0);
+}
+
+include("pkg-lib-deb.inc");
+
+res = "";
+report = "";
+if ((res = isdpkgvuln(pkg:"eglibc-source", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"glibc-doc", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-bin", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-dev-bin", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i386", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i686", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i386", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i686", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-loongson2f", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-pic", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-prof", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-xen", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales-all", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"multiarch-support", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"nscd", ver:"2.13-38+deb7u3", rls:"DEB7.0")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"eglibc-source", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"glibc-doc", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-bin", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-dev-bin", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i386", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i686", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i386", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i686", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-loongson2f", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-pic", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-prof", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-xen", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales-all", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"multiarch-support", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"nscd", ver:"2.13-38+deb7u3", rls:"DEB7.1")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"eglibc-source", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"glibc-doc", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-bin", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-dev-bin", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i386", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i686", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i386", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i686", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-loongson2f", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-pic", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-prof", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-xen", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales-all", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"multiarch-support", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"nscd", ver:"2.13-38+deb7u3", rls:"DEB7.2")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"eglibc-source", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"glibc-doc", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-bin", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc-dev-bin", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i386", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-i686", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc0.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-amd64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-i386", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-dev-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i386", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-i686", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-loongson2f", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mips64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-mipsn32", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-pic", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-ppc64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-prof", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-s390x", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-sparc64", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6-xen", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dbg", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-dev", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-pic", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"libc6.1-prof", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"locales-all", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"multiarch-support", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+if ((res = isdpkgvuln(pkg:"nscd", ver:"2.13-38+deb7u3", rls:"DEB7.3")) != NULL) {
+    report += res;
+}
+
+if (report != "") {
+    security_message(data:report + '\n' + desc);
+} else if (__pkg_match) {
+    exit(99); # Not vulnerable.
+}


Property changes on: scripts/2014/deb_2976.nasl
___________________________________________________________________
Added: svn:keywords
   + Revision Date Id Author



More information about the Openvas-nvts-commits mailing list